Subject: bug#40003: 27.0.70; Windows build is without jansson support

From: Phillip Lord <[email-masked]>
Date: Tue, 30 Jun 2020 12:13:05 +0100

Phillip Lord <[email-masked]> writes:
>
> Ah!
>
> (fboundp 'json-serialize)
>
>
>
>>> After that, the decision is what to do for Emacs-27. I can add the
>>> dependency, but it will require rebuilding the deps file which will
>>> update *all* of the dependencies. Not a big problem in one sense, but we
>>> are in the pre-release test phase, IIUC.
>>
>> I'd say go for it.  I don't expect trivial changes in the dependencies
>> to affect Emacs.
>
>
> Okay. I've updated by deps files. Will have to wait for emacs-27.0.92 to
> come out till the next upload.

I have pushed a snapshot release of emacs-28 to alpha which contains
this support as far as I can tell. "As far as I can tell" means

(fboundp 'json-serialize)

so any slightly more rigourous testing of this build against a real
world use case would be appreciated.

https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-28/

Phil